curl --request GET \
--url https://{defaultHost}/v1/affiliation_requests/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{defaultHost}/v1/affiliation_requests/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{defaultHost}/v1/affiliation_requests/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "1f01facf-73ce-4b91-b729-d4f70490a48b",
"object": "affiliation_request",
"bio": "I will promote your products to all my followers!",
"email": "test-affiliate-3@example.com",
"first_name": "Test",
"last_name": "Affiliate 3",
"metadata": {},
"payout_email": null,
"status": "pending",
"url": null,
"portal_url": "http://app.example.com/portal_redirect/affiliation_requests/1f01facf-73ce-4b91-b729-d4f70490a48b",
"created_at": 1787228338,
"updated_at": 1787228338
}Retrieve
Retrieves details of a specific affiliation request.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Success
The UUID of the specific object.
A string describing the object type returned.
A short blurb from this affiliate describing how they will promote this store.
The affiliate's email address.
The affiliate's first name.
The affiliate's last name.
The affiliate's payout email address.
The primary website or social media account of the affiliate.
Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.
A URL that will redirect to this affiliation request's correct portal page (hosted or external).
The current status of this affiliation request, which can be one of approved, denied, or pending.
Whether or not the request has been used to register an affiliate.
Time at which the object was created. Measured in seconds since the Unix epoch.
Time at which the object was last updated. Measured in seconds since the Unix epoch.
Was this page helpful?